function init(hero) {
    hero.setName("Domino");
    hero.setTier(6);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addPrimaryEquipment("fiskheroes:desert_eagle{Dual:1}", true, item => !item.nbt().getBoolean("Dual"));
	
   
	  hero.addPowers("fiskheroes:leaping", "fiskheroes:enhanced_reflexes", "pack:punisher");
    
     hero.addAttribute("WEAPON_DAMAGE", 4.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 9, 0);
    hero.addAttribute("FALL_RESISTANCE", 15.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.75, 0);
    hero.addAttribute("SPRINT_SPEED", 0.6, 1);
    hero.addAttribute("STEP_HEIGHT", 1.0, 0);	
	
    hero.addKeyBind("AIM", "key.aim", -1);
	
    hero.addKeyBind("GUN_RELOAD", "key.reload", 1);
    hero.addKeyBind("UTILITY_BELT", "Grenades", 3);
    
    hero.setHasPermission(hasPermission);
     hero.setKeyBindEnabled((entity, keyBind) => keyBind != "GUN_RELOAD" || entity.getHeldItem().isGun() && !entity.getData("fiskheroes:aiming"));
      hero.supplyFunction("canAim", entity => entity.getHeldItem().isGun());

}

function hasPermission(entity, permission) {
    return   permission == "USE_GUN";
}

